/**
 * @file cart_oitem.cpp
 * @author Jan Holáň, xholan11 (xholan11@vutbr.cz)
 * @brief translated with gcc version 12.2.1
 * @version 0.1
 * @date 2023-05-01
 * 
 * @copyright Copyright (c) 2023
 * 
 */

#include "WarehousePickingOpt.h"

CartOItem::CartOItem(OItem &_oitem_ref) : oitem_ref(_oitem_ref){};

void CartOItem::addToRealQty(int qty_to_add)
{
    this->RealQty += qty_to_add;
}

int CartOItem::getRealQty()
{
    return this->RealQty;
}

OItem CartOItem::getOItem() const
{
    return this->oitem_ref;
}
